From c642fbc302033bd5401cd1002bf54658996967f3 Mon Sep 17 00:00:00 2001
From: Tristan Walter <twalter@orn.mpg.de>
Date: Thu, 8 Oct 2020 12:06:05 +0200
Subject: [PATCH] no message

---
 Application/cmake_conda_osx.sh | 7 +++++++
 1 file changed, 7 insertions(+)

diff --git a/Application/cmake_conda_osx.sh b/Application/cmake_conda_osx.sh
index 337366c..d14d6db 100755
--- a/Application/cmake_conda_osx.sh
+++ b/Application/cmake_conda_osx.sh
@@ -10,6 +10,13 @@ if [ ! $(which cmake) ]; then
     exit 1
 fi
 
+if [ ! $(which git) ]; then
+    echo "You need to have git installed to build this project."
+    exit 1
+fi
+
+git submodule update --recursive --init
+
 IN_CONDA=""
 if [ ! $(printenv CONDA_PREFIX_1) ] ]; then
     IN_CONDA=${CONDA_PREFIX}
-- 
GitLab